> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Create ATS Application

POST https://api.letsdeel.com/rest/ats/applications
Content-Type: application/json

Creates a new ATS application linking an existing candidate to an existing job. Both the candidate and job must exist prior to this call; the returned id can be used for subsequent operations such as adding notes or associating interview stages.

 **Token scopes**: `ats:write`, `worker:write`

Reference: https://developer.deel.com/api/reference/endpoints/ats-applications/create-ats-application-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Body (application/json)

This endpoint expects an object.

- `data` (AtsApplicationsPostRequestBodyContentApplicationJsonSchemaData, required)

## Response

### 201

Successful response with application data

- `data` (AtsApplicationsPostResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of AtsApplicationsPostResponsesContentApplicationJsonSchemaErrorsItems, required) — List of error objects

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Forbidden. ATS is not enabled for this organization or insufficient permissions.

- `errors` (list of AtsApplicationsPostResponsesContentApplicationJsonSchemaErrorsItems, required) — List of error objects

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `errors` (list of AtsApplicationsPostResponsesContentApplicationJsonSchemaErrorsItems, required) — List of error objects

## Types

### AtsApplicationsPostRequestBodyContentApplicationJsonSchemaData

- `job_id` (string, required) — The ID of the job for this application
- `candidate_id` (string, required) — The ID of the candidate applying
- `job_employment_type_id` (string, required) — The ID of the employment type for this job
- `notes` (list of AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataNotesItems, optional, nullable) — Array of notes to attach to the application
- `source_slug` (string, optional) — The application source. Accepts any active source slug of the organization, e.g. SOURCED_INTERNALLY, SOURCED_EXTERNALLY, INTERNAL_REFERRAL_AWARE, INTERNAL_REFERRAL_NOT_AWARE, EXTERNAL_CAREER_PAGE or a custom source slug (case-insensitive). Defaults to the candidate origin source when omitted.
- `job_posting_id` (string, optional, nullable) — The ID of the job posting (optional)
- `application_form_submission_data` (list of AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems, optional, nullable) — Array of form submission answers

### AtsApplicationsPostResponsesContentApplicationJsonSchemaData

- `id` (string, required) — Application unique identifier
- `job_id` (string, required) — Job unique identifier
- `created_at` (string, required) — Creation timestamp
- `numeric_id` (integer, required) — Application numeric identifier
- `updated_at` (string, required) — Last update timestamp
- `candidate_id` (string, required) — Candidate unique identifier
- `job_posting_id` (string, required, nullable) — Job posting unique identifier
- `job_employment_type_id` (string, required, nullable) — Job employment type identifier
- `moved_to_current_stage_at` (string, required, nullable) — When application moved to current stage
- `current_application_interview_plan_stage_id` (string, required, nullable) — Current interview plan stage identifier
- `source_slug` (string, optional, nullable) — The application source slug in uppercase

### AtsApplicationsPostResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, required) — Machine-readable error code
- `message` (string, required) — Human-readable error message
- `field` (string, optional) — Request field related to the error, if applicable

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataNotesItems

- `richtext_content` (string, required) — The richtext content of the note

### AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems

### AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems0

- `type` (enum, required) — Question type this answer belongs to.
  - Allowed values: `FREETEXT`
- `answer` (string, required) — Text answer
- `question_id` (string, required) — Question identifier

### AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems1

- `type` (enum, required) — Question type this answer belongs to.
  - Allowed values: `PARAGRAPH`
- `answer` (string, required) — Paragraph answer
- `question_id` (string, required) — Question identifier

### AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems2

- `type` (enum, required) — Question type this answer belongs to.
  - Allowed values: `SINGLESELECTION`
- `question_id` (string, required) — Question identifier
- `selected_option_id` (string, required) — Selected option ID

### AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems3

- `type` (enum, required) — Question type this answer belongs to.
  - Allowed values: `MULTISELECTION`
- `question_id` (string, required) — Question identifier
- `selected_option_ids` (list of string, required) — Selected option IDs

### AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems4

- `type` (enum, required) — Question type this answer belongs to.
  - Allowed values: `DOCUMENTUPLOAD`
- `question_id` (string, required) — Question identifier
- `document_ids` (list of string, required) — Document IDs

### AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems5

- `type` (enum, required) — Question type this answer belongs to.
  - Allowed values: `PRESETDROPDOWN`
- `preset` (string, required) — Preset name
- `question_id` (string, required) — Question identifier
- `selected_options` (list of string, required) — Selected options

### AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems6

- `type` (enum, required) — Question type this answer belongs to.
  - Allowed values: `CUSTOMDROPDOWN`
- `question_id` (string, required) — Question identifier
- `selected_option_ids` (list of string, required) — Selected option IDs

### AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems7

- `type` (enum, required) — Question type this answer belongs to.
  - Allowed values: `NUMBER`
- `value` (string, required) — Numeric value
- `question_id` (string, required) — Question identifier

### AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems8

- `type` (enum, required) — Question type this answer belongs to.
  - Allowed values: `DATEPICKER`
- `question_id` (string, required) — Question identifier
- `end_date` (string, optional) — End date (for ranges)
- `start_date` (string, optional) — Start date

### AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems9

- `type` (enum, required) — Question type this answer belongs to.
  - Allowed values: `ADDRESS`
- `question_id` (string, required) — Question identifier
- `address_city` (string, required) — City
- `address_state` (string, required) — State
- `address_number` (string, required) — Street number
- `address_street` (string, required) — Street name
- `address_country` (string, required) — Country
- `address_zip_code` (string, required) — ZIP code

### AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems10

- `type` (enum, required) — Question type this answer belongs to.
  - Allowed values: `PHONENUMBER`
- `question_id` (string, required) — Question identifier
- `phone_number` (string, required) — Phone number

### AtsApplicationsPostRequestBodyContentApplicationJsonSchemaDataApplicationFormSubmissionDataItems11

- `type` (enum, required) — Question type this answer belongs to.
  - Allowed values: `EMAIL`
- `email` (string, required) — Email address
- `question_id` (string, required) — Question identifier

## Examples

**Request**

```json
{
  "data": {
    "job_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "candidate_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "job_employment_type_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
  }
}
```

**Response**

```json
{
  "data": {
    "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "job_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "created_at": "2026-01-07T17:51:39.961Z",
    "numeric_id": 2,
    "updated_at": "2026-01-07T17:51:39.961Z",
    "candidate_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "job_posting_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "job_employment_type_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "moved_to_current_stage_at": "2026-01-07T17:51:39.961Z",
    "current_application_interview_plan_stage_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "source_slug": "SOURCED_INTERNALLY"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/ats/applications"

payload = { "data": {
        "job_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
        "candidate_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
        "job_employment_type_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/ats/applications';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"job_id":"f47ac10b-58cc-4372-a567-0e02b2c3d479","candidate_id":"f47ac10b-58cc-4372-a567-0e02b2c3d479","job_employment_type_id":"f47ac10b-58cc-4372-a567-0e02b2c3d479"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/ats/applications"

	payload := strings.NewReader("{\n  \"data\": {\n    \"job_id\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\",\n    \"candidate_id\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\",\n    \"job_employment_type_id\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/ats/applications")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"job_id\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\",\n    \"candidate_id\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\",\n    \"job_employment_type_id\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/ats/applications")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"job_id\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\",\n    \"candidate_id\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\",\n    \"job_employment_type_id\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/ats/applications', [
  'body' => '{
  "data": {
    "job_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "candidate_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "job_employment_type_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/ats/applications");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"job_id\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\",\n    \"candidate_id\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\",\n    \"job_employment_type_id\": \"f47ac10b-58cc-4372-a567-0e02b2c3d479\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": [
    "job_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "candidate_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "job_employment_type_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/ats/applications")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```